
Core - Bug # 56539

Status: Closed Priority: -- undefined --
Author: Benjamin no-lastname-given Category: File Abstraction Layer (FAL)
Created: 2014-03-04 Assigned To:
Updated: 2015-01-31 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Update/Change file-hash when file is replaced with a new one with the filelist
Description

If you have for example a resized image on your webpage:

<img src="/typo3temp/_processed_/csm_filename_ccc_cc_de_ff24b110eb.jpg" />

And you do overwrite this image with a new image (same size and name) in the filelist,

then the filehash at the end should change, so that the browser loads the new file and does not show the old, cached version.

Related issues:
related to Core - Bug # 44645: Preview images don't get a new filename after ... Resolved 2013-01-18

History
#1 - 2014-03-14 13:02 - Benjamin no-lastname-given
- Target version set to 6.2.0

I think to implement this the file hashing logic must be changed or extended. 
The hash function may need to include the first xxx bytes of the file itself or some filesystem info like the changed/created date.
Is the hash function in TYPO3 6.2 the same as in 6.1?
Maybe we can get this change into 6.2 before release?

#2 - 2015-01-24 22:24 - Mathias Schreiber
- Category set to File Abstraction Layer (FAL)
- Sprint Focus set to On Location Sprint

Unsure if this has not already been tackled

#3 - 2015-01-31 17:18 - Mathias Schreiber
- Status changed from New to Closed

duplicate of #44645. Will continue there
